OverviewPlatformsAPI Reference
Segments

List segments

Returns your saved segments with the current number of people in each, plus presets you can save as a start. Segments are counted on each read and never stored as lists. To see who is in one, send its id to GET /v1/people.


GET
/v1/segments

Authorization

bearerAuth
AuthorizationBearer <token>

An API key from POST /v1/api-keys. Keys start with ref_.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/segments"
{  "data": [    {      "id": "string",      "name": "string",      "description": "string",      "filter": {        "platforms": [          "bluesky"        ],        "tags": [          "string"        ],        "minFollowers": 0,        "maxFollowers": 0,        "minMentions": 1,        "minNegative": 1,        "intents": [          "string"        ],        "keywordKinds": [          "brand"        ],        "neverKeywordKinds": [          "brand"        ],        "notPlatforms": [          "bluesky"        ],        "notTags": [          "string"        ],        "notIntents": [          "string"        ],        "newSinceDays": 1,        "linkHosts": [          "string"        ],        "muted": true,        "stages": [          "not_contacted"        ],        "automated": true,        "ownerIds": [          "string"        ]      },      "count": 0,      "createdAt": "string",      "updatedAt": "string"    }  ],  "presets": [    {      "key": "string",      "name": "string",      "description": "string",      "filter": {        "platforms": [          "bluesky"        ],        "tags": [          "string"        ],        "minFollowers": 0,        "maxFollowers": 0,        "minMentions": 1,        "minNegative": 1,        "intents": [          "string"        ],        "keywordKinds": [          "brand"        ],        "neverKeywordKinds": [          "brand"        ],        "notPlatforms": [          "bluesky"        ],        "notTags": [          "string"        ],        "notIntents": [          "string"        ],        "newSinceDays": 1,        "linkHosts": [          "string"        ],        "muted": true,        "stages": [          "not_contacted"        ],        "automated": true,        "ownerIds": [          "string"        ]      }    }  ]}
Was this page helpful?